# frozen_string_literal: true

require_relative 'lib/slugdb/sqlite3/version'

Gem::Specification.new do |spec|
  spec.name          = 'slugdb-sqlite3'
  spec.version       = SlugDB::SQLite3::VERSION
  spec.authors       = ['John Shields <watmin>']
  spec.email         = ['john@shields.wtf']

  spec.summary       = 'A lightweight, opinionated, file based NoSQL database backed by SQLite3'
  spec.description   = 'I wanted sqlite with a document store.'
  spec.homepage      = 'https://github.com/watmin/Ruby-slugdb-sqlite3'
  spec.license       = 'MIT'
  spec.required_ruby_version = Gem::Requirement.new('>= 2.5.0')

  spec.metadata['allowed_push_host'] = 'https://rubygems.org'

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{\A(?:test|spec|features)/}) }
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{\Aexe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'sqlite3'
end
